summaryrefslogtreecommitdiff
path: root/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-13 23:41:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-13 23:41:57 +0000
commit67f51d40764b21a7d2ecd6f5aca0eb79b2cdbac0 (patch)
tree26e0c36378dd308af996ab18dbbe46af53e12c7e /dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild
parentd4f99bc2a012d3d002bf10ededf741f3049ca2f4 (diff)
downloadbaldeagleos-repo-67f51d40764b21a7d2ecd6f5aca0eb79b2cdbac0.tar.gz
baldeagleos-repo-67f51d40764b21a7d2ecd6f5aca0eb79b2cdbac0.tar.xz
baldeagleos-repo-67f51d40764b21a7d2ecd6f5aca0eb79b2cdbac0.zip
Adding metadata
Diffstat (limited to 'dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild')
-rw-r--r--dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild50
1 files changed, 50 insertions, 0 deletions
diff --git a/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild
new file mode 100644
index 000000000000..0d008aeeb7f4
--- /dev/null
+++ b/dev-python/openapi-spec-validator/openapi-spec-validator-0.7.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="OpenAPI 2.0 (aka Swagger) and OpenAPI 3.0 spec validator"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-spec-validator/
+ https://pypi.org/project/openapi-spec-validator/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jsonschema-4.18.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.3.1[${PYTHON_USEDEP}]
+ >=dev-python/lazy-object-proxy-1.7.1[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/integration/test_shortcuts.py::TestPetstoreV2Example
+ tests/integration/test_shortcuts.py::TestApiV2WithExampe
+ tests/integration/test_shortcuts.py::TestPetstoreV2ExpandedExample
+ tests/integration/test_shortcuts.py::TestPetstoreExample
+ tests/integration/test_shortcuts.py::TestRemoteValidatev2SpecUrl
+ tests/integration/test_shortcuts.py::TestRemoteValidatev30SpecUrl
+ tests/integration/test_shortcuts.py::TestApiWithExample
+ tests/integration/test_shortcuts.py::TestPetstoreExpandedExample
+ tests/integration/test_validate.py::TestPetstoreExample
+ tests/integration/test_validate.py::TestApiWithExample
+ tests/integration/test_validate.py::TestPetstoreExpandedExample
+ tests/integration/validation/test_validators.py
+)
+
+src_prepare() {
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}